import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

import 'shared/routing.dart';
import 'theme/theme_data.dart';

class MinstrelApp extends ConsumerWidget {
  const MinstrelApp({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final router = ref.watch(routerProvider);
    return MaterialApp.router(
      title: 'Minstrel',
      theme: buildThemeData(),
      routerConfig: router,
    );
  }
}
